﻿using System;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            #region 이벤트를 설정한다.

            Load                           += Form_Load;
            this.stringTextBox.TextChanged += stringTextBox_TextChanged;

            #endregion
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 폼 로드시 처리하기 - Form_Load(sender, e)

        /// <summary>
        /// 폼 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Form_Load(object sender, EventArgs e)
        {
            this.stringTextBox.Text = "this is another test string";
        }

        #endregion
        #region 문자열 텍스트 박스 텍스트 변경시 처리하기 - stringTextBox_TextChanged(sender, e)

        /// <summary>
        /// 문자열 텍스트 박스 텍스트 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void stringTextBox_TextChanged(object sender, EventArgs e)
        {
            this.pascalCaseTextBox.Text   = this.stringTextBox.Text.ToPascalCase();
            this.camelCaseTextBox.Text    = this.stringTextBox.Text.ToCamelCase();
            this.separateWordTextBox.Text = this.camelCaseTextBox.Text.ToProperCase();
        }

        #endregion
    }
}